Skip to content
This repository
Newer
Older
100644 33 lines (30 sloc) 1.319 kb
6134ceae »
2011-01-27 Add in initial set of work from the rocket pants repository
1 # -*- encoding: utf-8 -*-
2 lib = File.expand_path('../lib/', __FILE__)
3 $:.unshift lib unless $:.include?(lib)
1f6ab56f »
2012-07-18 Update version to 1.5.3, update the readme and the changelog
4
6134ceae »
2011-01-27 Add in initial set of work from the rocket pants repository
5 Gem::Specification.new do |s|
6 s.name = "rocket_pants"
48371929 »
2012-08-09 Update the changelog + bump the version number
7 s.version = "1.5.4"
6134ceae »
2011-01-27 Add in initial set of work from the rocket pants repository
8 s.platform = Gem::Platform::RUBY
9 s.authors = ["Darcy Laycock"]
a1094a43 »
2011-09-26 Bump the gemspec versions
10 s.email = ["sutto@sutto.net"]
11 s.homepage = "http://github.com/filtersquad"
6134ceae »
2011-01-27 Add in initial set of work from the rocket pants repository
12 s.summary = "JSON API love for Rails and ActionController"
da944628 »
2012-03-07 Update README.md, rocket pants tweaks
13 s.description = "Rocket Pants adds JSON API love to Rails and ActionController, making it simpler to build API-oriented controllers."
6134ceae »
2011-01-27 Add in initial set of work from the rocket pants repository
14 s.required_rubygems_version = ">= 1.3.6"
1f6ab56f »
2012-07-18 Update version to 1.5.3, update the readme and the changelog
15
a1094a43 »
2011-09-26 Bump the gemspec versions
16 s.add_dependency 'actionpack', '~> 3.0'
17 s.add_dependency 'railties', '~> 3.0'
18 s.add_dependency 'will_paginate', '~> 3.0'
73b2f4e7 »
2011-01-29 Add misc. test helpers
19 s.add_dependency 'hashie', '~> 1.0'
a96780cd »
2011-02-03 Add an rvmrc and update the gemfile to be correct
20 s.add_dependency 'api_smith'
9f0083ee »
2011-02-04 Add in moneta and refactor the RocketPants autoloading code
21 s.add_dependency 'moneta'
7a362cea »
2012-03-07 More tweaks! Namely to the README
22 s.add_development_dependency 'rspec', '~> 2.4'
23 s.add_development_dependency 'rspec-rails', '~> 2.4'
24 s.add_development_dependency 'rr', '~> 1.0'
4448ed33 »
2011-02-03 Test out the client library
25 s.add_development_dependency 'webmock'
9d62597c »
2012-04-05 Model-based tests
26 s.add_development_dependency 'activerecord', '~> 3.0'
27 s.add_development_dependency 'sqlite3-ruby'
abffe3a4 »
2012-06-10 Update all of the specs
28 s.add_development_dependency 'reversible_data', '~> 1.0'
9d62597c »
2012-04-05 Model-based tests
29 s.add_development_dependency 'kaminari'
1f6ab56f »
2012-07-18 Update version to 1.5.3, update the readme and the changelog
30
6134ceae »
2011-01-27 Add in initial set of work from the rocket pants repository
31 s.files = Dir.glob("{lib}/**/*")
32 s.require_path = 'lib'
33 end
Something went wrong with that request. Please try again.